=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::ParcelsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ParcelsApi' do
  before do
    # run before each test
    @instance = Shippo::ParcelsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ParcelsApi' do
    it 'should create an instance of ParcelsApi' do
      expect(@instance).to be_instance_of(Shippo::ParcelsApi)
    end
  end

  # unit tests for create_parcel
  # Create a new parcel
  # Creates a new parcel object for the merchant
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [ParcelRequest] :body Parcel details.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Parcel]
  describe 'create_parcel test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_parcel
  # List all parcels
  # List all parcel objects for the merchant
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedParcelResponse]
  describe 'list_parcel test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_parcel
  # Retrieve a parcel
  # Retrieve an existing parcel by object id for the merchant
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Parcel]
  describe 'get_parcel test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
